summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2018-01-14 03:20:20 +0100
committerLucki2018-01-14 03:20:20 +0100
commit88478e8469152e7bc8c8e3bb1418cfd7ae2abd4f (patch)
tree45d371f953517489bd4544cecba53047ac1e7df9
parentdc612fd3393a993410923ecaf50aec1b78deed9e (diff)
downloadaur-88478e8469152e7bc8c8e3bb1418cfd7ae2abd4f.tar.gz
Better PKGBUILD:
- remove `gendesk` - remove reference to `${startdir}` - use main background as icon
-rw-r--r--.CHANGELOG62
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD51
-rw-r--r--clonepoint.desktop10
4 files changed, 38 insertions, 95 deletions
diff --git a/.CHANGELOG b/.CHANGELOG
deleted file mode 100644
index ce8789872a2..00000000000
--- a/.CHANGELOG
+++ /dev/null
@@ -1,62 +0,0 @@
-* commit 9c8a828c0f8a744771ca4518c7840ca8d1ad187f
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Thu Jun 2 12:47:23 2016 -0500
-|
-| That's just embarrassing.
-|
-* commit c6d82f7dda436a65532ac8348bd8c49242c81c95
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Tue May 17 13:21:26 2016 -0500
-|
-| Add gun2clone, and instructions on how to use it.
-|
-* commit 2535ab7ee1d60def7926cdfa43f44625de15f3f0
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Mon Jan 18 11:11:52 2016 -0600
-|
-| Some people may want to compile with logging.
-|
-* commit f2ce5a515639755902651c66721bacf61d8ad821
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Fri Jan 1 12:41:12 2016 -0600
-|
-| Faster punching!!
-|
-* commit e28710585cba36a729271ef36574bffa7eea19ce
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Thu Dec 31 14:15:16 2015 -0600
-|
-| Add note about custom music in Modding.txt.
-|
-* commit fe8574ee869a9362382f2c6baa4a7dfe14864ffd
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Wed Dec 30 19:49:00 2015 -0600
-|
-| - Add new map2.tmx.
-| - Fix map4.tmx being potentially impossible.
-| - Adjust guard starting direction/position in map3.tmx.
-| - Also, deal with stuff added with new Tiled version.
-|
-* commit c9d4fa0b8b60d46d64a86b3483edd7c626836b2a
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Sun Dec 27 16:48:14 2015 -0600
-|
-| Config variables for easier map testing.
-|
-* commit 210d3e313b87b26d60ba56859577c63d10d481f1
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Sun Dec 27 16:29:22 2015 -0600
-|
-| Add another tutorial mark.
-|
-* commit ec4895d2b7419ae7ec06f4b8df9b66cb8a0a6c27
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Sat Dec 26 11:17:59 2015 -0600
-|
-| Play low pass filter of music while in crosslink.
-|
-* commit 37def83baa7f6351dcf8166d27a5d20b2d56c078
-| Author: Rohit Nirmal <rohitnirmal9@gmail.com>
-| Date: Thu Dec 24 00:35:30 2015 -0600
-|
-| Finishing a map transitions to load map state.
diff --git a/.SRCINFO b/.SRCINFO
index 1e59b3205b4..8b691060909 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,11 +1,8 @@
-# Generated by mksrcinfo v8
-# Wed Jul 12 22:57:23 UTC 2017
pkgbase = clonepoint-git
pkgdesc = Free software clone of Gunpoint
pkgver = r70.9c8a828
- pkgrel = 2
+ pkgrel = 3
url = https://rohit.itch.io/clonepoint
- changelog = .CHANGELOG
arch = i686
arch = x86_64
license = GPL3
@@ -13,13 +10,16 @@ pkgbase = clonepoint-git
depends = openal
depends = sdl2
provides = clonepoint
+ conflicts = clonepoint
backup = opt/clonepoint/config.cfg
- source = clonepoint-git::git+https://github.com/rohit-n/Clonepoint.git
+ source = clonepoint::git+https://github.com/rohit-n/Clonepoint.git
source = clonepoint_linux.tar.gz::https://drive.google.com/uc?export=download&id=0B_fe1fNijaueM1ZtdjBOcndOM0U
source = clonepoint.sh
+ source = clonepoint.desktop
sha512sums = SKIP
sha512sums = 261c19b4b2cf4cfcd8c568e0aa89779b754c935545e07238c737592d06c1e5828a52a3e8d62a6d51cec4c880a821da05060c86c1539f5dd982e8fcfd7f509ca3
sha512sums = 8b5ec604d5023db4f6103a7d679c4b42fc9319f59afb431b0c73718d690141553653806fbd7640b06fd1d55196b3f854507bb4383633519364b783d0ab31ebdf
+ sha512sums = c925067cac3b24262a918640235152a7ff9aae121255b5e2427dc02af410dd549bcce5be96bf579d9e399ccdc3e0f6a6c3be46b2f433ffcfb6f2929639d3e929
pkgname = clonepoint-git
diff --git a/PKGBUILD b/PKGBUILD
index e048711a74a..1bd06823fa7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,60 +1,55 @@
-# Maintainer: Lucki <Lucki at holarse-linuxgaming dot de>
+# Maintainer: Lucki <https://aur.archlinux.org/account/Lucki>
pkgname=clonepoint-git
-_pkgname=clonepoint
-
+_pkgname=${pkgname%-git}
pkgver=r70.9c8a828
-pkgrel=2
+pkgrel=3
pkgdesc="Free software clone of Gunpoint"
arch=('i686' 'x86_64')
url="https://rohit.itch.io/clonepoint"
license=('GPL3')
-changelog=.CHANGELOG
-backup=('opt/clonepoint/config.cfg')
+backup=("opt/${_pkgname}/config.cfg")
depends=('openal' 'sdl2')
makedepends=('git')
-provides=('clonepoint')
-source=("${pkgname}::git+https://github.com/rohit-n/Clonepoint.git"
- "clonepoint_linux.tar.gz::https://drive.google.com/uc?export=download&id=0B_fe1fNijaueM1ZtdjBOcndOM0U"
- "clonepoint.sh")
+provides=("${_pkgname}")
+conflicts=("${_pkgname}")
+source=("${_pkgname}::git+https://github.com/rohit-n/Clonepoint.git"
+ "${_pkgname}_linux.tar.gz::https://drive.google.com/uc?export=download&id=0B_fe1fNijaueM1ZtdjBOcndOM0U"
+ "${_pkgname}.sh"
+ "${_pkgname}.desktop")
sha512sums=('SKIP'
'261c19b4b2cf4cfcd8c568e0aa89779b754c935545e07238c737592d06c1e5828a52a3e8d62a6d51cec4c880a821da05060c86c1539f5dd982e8fcfd7f509ca3'
- '8b5ec604d5023db4f6103a7d679c4b42fc9319f59afb431b0c73718d690141553653806fbd7640b06fd1d55196b3f854507bb4383633519364b783d0ab31ebdf')
+ '8b5ec604d5023db4f6103a7d679c4b42fc9319f59afb431b0c73718d690141553653806fbd7640b06fd1d55196b3f854507bb4383633519364b783d0ab31ebdf'
+ 'c925067cac3b24262a918640235152a7ff9aae121255b5e2427dc02af410dd549bcce5be96bf579d9e399ccdc3e0f6a6c3be46b2f433ffcfb6f2929639d3e929')
pkgver()
{
# https://wiki.archlinux.org/index.php/VCS_package_guidelines#Git
- cd "${srcdir}/${pkgname}" || exit
+ cd "${srcdir}/${_pkgname}" || exit
( set -o pipefail
git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
)
}
-prepare()
-{
- # generate .desktop-file
- gendesk -n -f --categories "Game"
-
- # update .CHANGELOG
- git -C "${srcdir}/${pkgname}" log --graph -10 > "${startdir}/.CHANGELOG"
-}
-
build()
{
- cd "${srcdir}/${pkgname}" || exit
+ cd "${srcdir}/${_pkgname}" || exit
make
}
package()
{
- cd "${srcdir}/${pkgname}" || exit
+ cd "${srcdir}/${_pkgname}" || exit
install -Dm644 "${srcdir}/${_pkgname}.desktop" "${pkgdir}/usr/share/applications/${_pkgname}.desktop"
- install -Dm755 "${srcdir}/${pkgname}/${_pkgname}" "${pkgdir}/opt/${_pkgname}/${_pkgname}"
- install -Dm755 "${srcdir}/clonepoint.sh" "${pkgdir}/usr/bin/${_pkgname}"
- cp -r "${srcdir}/Clonepoint/data" "${pkgdir}/opt/${_pkgname}/data/"
- cp -r "${srcdir}/Clonepoint/shaders" "${pkgdir}/opt/${_pkgname}/shaders/"
- install -Dm666 "${srcdir}/${pkgname}/config.cfg" "${pkgdir}/opt/${_pkgname}/config.cfg"
+ install -Dm755 "${srcdir}/${_pkgname}/${_pkgname}" "${pkgdir}/opt/${_pkgname}/${_pkgname}"
+ install -Dm755 "${srcdir}/${_pkgname}.sh" "${pkgdir}/usr/bin/${_pkgname}"
+ install -Dm666 "${srcdir}/${_pkgname}/config.cfg" "${pkgdir}/opt/${_pkgname}/config.cfg"
+ install -Dm644 "${srcdir}/Clonepoint/data/backgrounds/menus/main.png" "${pkgdir}/usr/share/icons/hicolor/512x512/apps/${_pkgname}.png"
+
+ # https://lists.archlinux.org/pipermail/aur-general/2011-November/016777.html
+ cp -dpr --no-preserve=ownership "${srcdir}/Clonepoint/data" "${pkgdir}/opt/${_pkgname}/data/"
+ cp -dpr --no-preserve=ownership "${srcdir}/Clonepoint/shaders" "${pkgdir}/opt/${_pkgname}/shaders/"
}
diff --git a/clonepoint.desktop b/clonepoint.desktop
new file mode 100644
index 00000000000..76432b1a8da
--- /dev/null
+++ b/clonepoint.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Name=Clonpoint
+Comment=Free software clone of Gunpoint
+Exec=clonepoint
+Icon=clonepoint
+Terminal=false
+StartupNotify=false
+Categories=Game;ActionGame;